function [train_high_ind, val_high_ind] = pick_high_inds(load_filepath)
% % Please see README.md in this directory. This function picks positive 
% and zero samples in a certain proportion (from both training and 
% validation sets). The function returns the indices of the data points.
%
% @authors:     Fuxin Li, Ahmad Humayun
% @contact:     ahumayun@cc.gatech.edu
% @affiliation: Georgia Institute of Technology
% @date:        Fall 2013 - Spring 2015

    load(load_filepath);
    
    proportion = 1;

    [train_high_ind] = return_ind_prop(train_out, proportion);
    [val_high_ind] = return_ind_prop(val_out, proportion);
end

function [prop_ind] = return_ind_prop(label_out, proportion)
    % find indices for points which have positive labels
    high_ind = find(label_out > 0);
    % find indices for points which have zero label
    perm = randperm(sum(label_out == 0));
    zero_ind = find(label_out == 0);
    prop_ind = [high_ind; ...
                zero_ind(perm(1:floor(numel(high_ind)*proportion)))];
end